org.springframework.core.type.filter

## Class AssignableTypeFilter

- java.lang.Object
- - org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter
  - - org.springframework.core.type.filter.AssignableTypeFilter

All Implemented Interfaces:
  TypeFilter

    public class AssignableTypeFilter
    extends AbstractTypeHierarchyTraversingFilter

A simple filter which matches classes that are assignable to a given type.

Since:
  2.5
Author:
  Rod Johnson, Mark Fisher, Ramnivas Laddad

### Constructor Summary

Constructors
Constructor and Description
`AssignableTypeFilter(Class targetType)` Create a new AssignableTypeFilter for the given type.

### Method Summary

Methods
`protected boolean` `matchClassName(String className)` Override this to match on type name.
`protected Boolean` `matchInterface(String interfaceName)` Override this to match on interface type name.
`protected Boolean` `matchSuperClass(String superClassName)` Override this to match on super type name.
`protected Boolean` `matchTargetType(String typeName)`

### Methods inherited from class org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter

`match, matchSelf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssignableTypeFilter

    public AssignableTypeFilter(Class targetType)

Create a new AssignableTypeFilter for the given type.

Parameters:
  `targetType` - the type to match

### Method Detail

#### matchClassName

    protected boolean matchClassName(String className)

Description copied from class: `AbstractTypeHierarchyTraversingFilter`
Override this to match on type name.

Overrides:
  `matchClassName` in class `AbstractTypeHierarchyTraversingFilter`

#### matchSuperClass

    protected Boolean matchSuperClass(String superClassName)

Description copied from class: `AbstractTypeHierarchyTraversingFilter`
Override this to match on super type name.

Overrides:
  `matchSuperClass` in class `AbstractTypeHierarchyTraversingFilter`

#### matchInterface

    protected Boolean matchInterface(String interfaceName)

Description copied from class: `AbstractTypeHierarchyTraversingFilter`
Override this to match on interface type name.

Overrides:
  `matchInterface` in class `AbstractTypeHierarchyTraversingFilter`

#### matchTargetType

    protected Boolean matchTargetType(String typeName)